.slide{
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    height: 100%;
    overflow: hidden;
}

.slide > .container {
    padding: 1em 0px;
    display: flex;
    flex-direction: column;
    align-items: center;
    column-gap: .3em;
    gap:.3em;
}

.slide .btn{
    animation-fill-mode: forwards;
    opacity: 0;
}

.tns-slider{
    height: 420px;
    width: 100%; 
    height: 30vh;
    height: min-content;
}

.tns-slide-active p,
.tns-slide-active div{
    color: var(--color-white1);    
    text-shadow: 0px 0px 8px #000, 0px 0px 20px #000;
    font-weight: 700;    
    margin:0.1rem;
}

.tns-slide-active p.h1{
    font-size: 2rem;
    animation: fadeInDown;
    animation-name: fadeInDown;
    animation-duration: 0.4s;
}

.tns-slide-active p.h5{
    font-size: 1rem;
    font-weight: 400;    
    animation-name: fadeInUp;
    animation-duration: 2.4s;
    display: none;    
}

.tns-slide-active div.price{
    font-size: 1.8rem;
    animation-name: bounceInLeft;
    animation-duration: 2.4s;    
}

.tns-slide-active .btn{
    animation-name: fadeInUp;
    animation-duration: 2.4s;
    animation-delay: 1.8s;
}

.tns-nav {
    text-align: center;
    position: relative;
    top: -.5em;
    margin-left: .5em;
}

.tns-nav button{
    width: 20px;
    height: 5px;
    border-radius: 10px;
    border: none;
    margin: 2px;
    background-color: #fff;
    border: 1px solid #000;
}
.tns-nav-active{
    background-color: green !important;
}

@media (min-width: 21em){
    .tns-slide-active p.h5{ display: inline;}
}
    
@media (min-width: 30em){
    .tns-slide-active p.h1{ font-size: 2.3rem; }
    .tns-slide-active p.h5{ font-size: 1.1rem; }
    .slide > .container{  column-gap:  .5rem; 
                          gap:         .5rem;}
}

@media (min-width: 36em){
    .tns-slide-active p.h1{      font-size: 2.6rem; }
    .tns-slide-active p.h5{      font-size: 1.2rem; }
    .tns-slide-active div.price{ font-size: 2rem;   }
    .slide > .container{  column-gap:  .7rem; 
                          gap:         .7rem;}
}

@media (min-width: 40em){
    .tns-slide-active p.h1{      font-size: 2.9rem; }
    .tns-slide-active p.h5{      font-size: 1.5rem; }
    .tns-slide-active div.price{ font-size: 2.5rem; }
    .slide > .container{  align-items: flex-start;
                          padding-top: 2rem;
                          padding-left:.8rem;
                          column-gap:  1rem; 
                          gap:         1rem;}
    .tns-nav { text-align: inherit; }
    
}

@media (min-width: 51em){
    .tns-slide-active p.h1{      font-size: 4rem;  }
    .tns-slide-active p.h5{      font-size: 1.5rem;}
    .tns-slide-active div.price{ font-size: 2.6rem;}
}

@media (min-width: 56em){
    .slide > .container {  padding-left: 2rem; }    
}

/*
*/
@media screen and (min-width: 640px){ .tns-slider{ height: 60vh;}}
@media screen and (min-width: 900px){ .tns-slider{ height: 65vh;}}
@media screen and (min-width:1200px){ .tns-slider{ height: 69vh;}}
/**/

